## javax.servlet
Interface ServletRegistration

All Superinterfaces:
  Registration

All Known Subinterfaces:
  ServletRegistration.Dynamic

    public interface ServletRegistration

extends Registration

Interface through which a `Servlet` may be further configured.

Since:
  Servlet 3.0

Nested Class Summary
`static interface` `ServletRegistration.Dynamic` Interface through which a `Servlet` registered via one of the `addServlet` methods on `ServletContext` may be further configured.

Method Summary
`Set<String>` `addMapping(String... urlPatterns)` Adds a servlet mapping with the given URL patterns for the Servlet represented by this ServletRegistration.
`Collection<String>` `getMappings()` Gets the currently available mappings of the Servlet represented by this `ServletRegistration`.
`String` `getRunAsRole()` Gets the name of the runAs role of the Servlet represented by this `ServletRegistration`.

Methods inherited from interface javax.servlet.Registration
`getClassName, getInitParameter, getInitParameters, getName, setInitParameter, setInitParameters`

Method Detail

### addMapping

    Set<String> addMapping(String... urlPatterns)

  Adds a servlet mapping with the given URL patterns for the Servlet represented by this ServletRegistration.

  If any of the specified URL patterns are already mapped to a different Servlet, no updates will be performed.

  If this method is called multiple times, each successive call adds to the effects of the former.

  Parameters:
    `urlPatterns` - the URL patterns of the servlet mapping
  Returns:
    the (possibly empty) Set of URL patterns that are already mapped to a different Servlet
  Throws:
    `IllegalArgumentException` - if `urlPatterns` is null or empty
    `IllegalStateException` - if the ServletContext from which this ServletRegistration was obtained has already been initialized

### getMappings

    Collection<String> getMappings()

  Gets the currently available mappings of the Servlet represented by this `ServletRegistration`.

  If permitted, any changes to the returned `Collection` must not affect this `ServletRegistration`.

  Returns:
    a (possibly empty) `Collection` of the currently available mappings of the Servlet represented by this `ServletRegistration`

### getRunAsRole

    String getRunAsRole()

  Gets the name of the runAs role of the Servlet represented by this `ServletRegistration`.

  Returns:
    the name of the runAs role, or null if the Servlet is configured to run as its caller

Copyright © 2012 GlassFish Community. All Rights Reserved.